> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.finput.com.au/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.finput.com.au/_mcp/server.

# List all users

GET https://api.finput.com.au/api/v1/users

Returns paginated list of users with full details (including groups and permissions).
Results are scoped to the caller's organisation based on their role.


Reference: https://docs.finput.com.au/api/endpoints/users/list-users

## Authentication

- `Authorization` header (bearer token, required) — JWT access token obtained from `POST /api/v1/auth/login`, or a `finput_sk_...` API token

## Request

### Query parameters

- `page` (integer, optional, default: 1) — Page number for pagination
- `page_size` (integer, optional, default: 10) — Number of results per page (max 1000)

## Response

### 200

Paginated list of users

- `count` (integer, optional)
- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)
- `results` (list of User, optional)

## Types

### User

- `id` (integer, optional)
- `email` (string, optional)
- `first_name` (string, optional)
- `last_name` (string, optional)
- `organisation_id` (integer, optional, nullable)
- `is_admin` (boolean, optional)
- `is_active` (boolean, optional)
- `is_email_verified` (boolean, optional)
- `created` (datetime, optional)
- `groups` (list of UserGroup, optional)

### UserGroup

- `name` (string, optional)
- `permissions` (list of UserGroupPermissionsItems, optional)

### UserGroupPermissionsItems

- `id` (integer, optional)
- `codename` (string, optional)

## Examples

**Response**

```json
{
  "count": 1,
  "next": "string",
  "previous": "string",
  "results": [
    {
      "id": 1,
      "email": "string",
      "first_name": "string",
      "last_name": "string",
      "organisation_id": 1,
      "is_admin": true,
      "is_active": true,
      "is_email_verified": true,
      "created": "2024-01-15T09:30:00Z",
      "groups": [
        {
          "name": "string",
          "permissions": [
            {
              "id": 1,
              "codename": "string"
            }
          ]
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.finput.com.au/api/v1/users"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.finput.com.au/api/v1/users';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.finput.com.au/api/v1/users"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.finput.com.au/api/v1/users")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.finput.com.au/api/v1/users")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.finput.com.au/api/v1/users', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.finput.com.au/api/v1/users");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.finput.com.au/api/v1/users")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```